5 Replies Latest reply on Aug 19, 2016 2:22 PM by sdhava mani4

    Installing jbpm 5.3 with guvnor 5.4 issue under jboss 5.1

    Miloud Haimoune Newbie

      Hi all,

       

      I 'm migrating to jbpm 5.3 witch uses guvnor 5.4

       

      I tried to use jbpm installer and I got the following error :

       

      Caused by: java.lang.ClassNotFoundException: javax.validation.MessageInterpolator$Context

          at java.net.URLClassLoader$1.run(URLClassLoader.java:202)

          at java.security.AccessController.doPrivileged(Native Method)

          at java.net.URLClassLoader.findClass(URLClassLoader.java:190)

       

       

      I downloaded the jar and added validation-api-1.0.0.GA.jar I got this exception :

       

      javax.inject.DefinitionException: Can't determine type of element <modifies> in bean 'GuvnorBootstrapConfiguration'

          at org.jboss.webbeans.xml.checker.beanchildren.ext.AbstractBeanChildrenChecker.checkBeanChild(AbstractBeanChildrenChecker.java:134)

          at org.jboss.webbeans.xml.checker.beanchildren.ext.AbstractBeanChildrenChecker.checkChildren(AbstractBeanChildrenChecker.java:89)

        ......

       

      java.lang.RuntimeException: mapped-name is required for BeanManager of deployment guvnor-5.4.0.Final-jboss-eap-5.1.war

          at org.jboss.web.tomcat.service.injection.WebResourceHandler.loadXmlResourceEnvRefs(WebResourceHandler.java:287)

          at org.jboss.web.tomcat.service.injection.WebResourceHandler.loadXml(WebResourceHandler.java:325)

          at org.jboss.web.tomcat.service.TomcatInjectionContainer.processMetadata(TomcatInjectionContainer.java:550)

          at org.jboss.web.tomcat.service.WebCtxLoader.start(WebCtxLoader.java:158)

       

       

      did anyone had this issue or if you have a solution ?

       

      (I don't want to use tomcat server since my application is running under Jboss 5.1)